# Generated by Django 4.0.4 on 2022-08-17 09:05

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("seawatch_registration", "0036_alter_userprofile_user"),
        ("volunteers", "0015_volunteer_archived_at"),
    ]

    operations = [
        migrations.CreateModel(
            name="Experience",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                ("date_of_experience", models.DateField()),
                ("mission_name", models.TextField()),
                ("concerns", models.BooleanField()),
                (
                    "position",
                    models.ManyToManyField(to="seawatch_registration.position"),
                ),
                (
                    "volunteer",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="volunteers.volunteer",
                    ),
                ),
            ],
        ),
    ]
